Here's another slightly simpler approach aimed at the lay voter: Tell the audience that the Condorcet ideal is a candidate that is not pairwise beaten by any other candidate. When that is not possible, it is natural to consider a candidate that is beaten pairwise by the fewest other candidates. This idea is the basis of the Copeland Method. There are two problems with the Copeland method: (1) It has a strong tendency to produce ties, and (2) More subtle problems created by cloning certain candidates to increase the number of defeats suffered by certain other candidates without increasing the number of defeats of the cloned candidates. Because of these two problems, Copeland is not considered a serious contender for use in public elections. But what if there were a simple modification of Copeland that would totally resolve these two problems in one fell swoop? There is; instead of counting the number of candidates that defeat candidate X, (and electing the candidate with the smallest count), we add up all of the first place votes of all of the candidates that defeat X, and elect the candidate with the smallest sum. This solves the first problem because in any moderate to large sized election, it would be rare for two candidates to have the same minimum sum. It also solves the second problem because if a candidate is cloned, the first place votes of the cloned candidate are divided up among the clones. [End of Introduction to Improved Copeland for the lay voter.] Now, as mentioned in my last post, it is more general to replace the phrase "first place votes" with "random candidate probabilities," i.e. benchmark lottery probabilities. Even other suitable lottery probabilities could be used. This method (at least under the top rank counts or benchmark lottery) always elects from Landau, since if X covers Y, then only a subset of the candidates that beat Y will beat X, yielding X a smaller probability sum than Y. Also since if candidate X is raised on a ballot it can only decrease the benchmark probability of any other candidate, and the set of candidates that now beat X will be a (possibly proper) subset of the candidates that did before raising X on the ballot; i.e. this method is monotonous (if not monogamous). And it seems tp satisfy the Chicken Defense criterion: 49 C 26 A>B 25 B (sincere is B>A) C>A is the only pairwise defeat of A, so the A sum is 49. A>B is the only pairwise defeat of B, so the B sum is 26. B>C is the only pairwise defeat of C, so the C sum is 25. Candidate C (with the smallest sum) is elected, thus thwarting the threatened chicken attack What's not to like? Now think in terms of "Yee BoLson Diagrams": A candidate's score is the sum of the Dirichlet Cell probabilities (i.e. Voronoi Polygon probabilities). These are the Dirichlet/Voronoicells of the candidates that are closer to the center of the distribution than the given candidate. [the respective cells represent the voters that top rank the respective candidates.] So the winning candidate is the candidate for which the mass of cells closer to the center than the candidate has the smallest total probability. In the case of the standard centrally symmetric distribution used in Yee Bolson diagrams, the candidate closest to the center will be the winner with no defeats, so the "mass of defeating cells" will be empty. Not bad! Is it good enough and simple enough to propose? . Forest
---- Election-Methods mailing list - see https://electorama.com/em for list info |
On 06/06/2019 23.11, Forest Simmons wrote:
> Here's another slightly simpler approach aimed at the lay voter: > > Tell the audience that the Condorcet ideal is a candidate that is not > pairwise beaten by any other candidate. > > When that is not possible, it is natural to consider a candidate that is > beaten pairwise by the fewest other candidates. This idea is the basis > of the Copeland Method. > > There are two problems with the Copeland method: (1) It has a strong > tendency to produce ties, and (2) More subtle problems created by > cloning certain candidates to increase the number of defeats suffered by > certain other candidates without increasing the number of defeats of the > cloned candidates. > > Because of these two problems, Copeland is not considered a serious > contender for use in public elections. > > But what if there were a simple modification of Copeland that would > totally resolve these two problems in one fell swoop? > > There is; instead of counting the number of candidates that defeat > candidate X, (and electing the candidate with the smallest count), we > add up all of the first place votes of all of the candidates that defeat > X, and elect the candidate with the smallest sum. This sounds like what I called first preference Copeland and you called Clone-proofed Copeland back in 2006: http://lists.electorama.com/pipermail/election-methods-electorama.com/2006-December/117180.html In the examples below, I'll call the candidates' sums "penalties". It's not cloneproof. Example outline by Warren Smith (https://groups.yahoo.com/neo/groups/RangeVoting/conversations/topics/2934 ): 6: A>B>C 3: C>A>B 4: B>C>A ABCA cycle, so A's penalty is 3, B's penalty is 6, and C's penalty is 4. A wins. Now clone A in a Condorcet cycle (into D,E,F below): 2: D>E>F>B>C 2: E>F>D>B>C 2: F>D>E>B>C 3: C>E>F>D>B 4: B>C>F>D>E B is beaten by D, E, and F, so his penalty is 6. C is beaten by B, so his penalty is 4. D is beaten by C and F, so his penalty is 5. E is beaten by C and D, so his penalty is 5. F is beaten by C and E, so his penalty is 5. Cloning A made A lose and C win. Also, compared to ordinary Copeland, it loses monotonicity: 3: A>B>C 3: B>C>A 3: C>A>B Everybody has a penalty of 3, so we have a tie. Now raise A to the top on one of the B>C>A ballots: 4: A>B>C 2: B>C>A 3: C>A>B A is beaten by C: penalty 3 B is beaten by A: penalty 4 C is beaten by B: penalty 2 so C wins. The problem here is that putting A top may harm A by concealing a candidate (here, B) who would otherwise penalize someone else (here, C) enough to keep A from losing. The fpA - fpC method avoids nonmonotonicity by crediting A with A-top ballots. If raising A to the top conceals some penalizer's first preferences, that doesn't matter because whatever A loses to the third candidate, he regains by the fpA term. So the fpA-fpC method seems better than first preference Copeland for three candidates. If only we could cloneproof it! (And hopefully retain its anti-strategy properties, like CD compliance and unmanipulable majority) ---- Election-Methods mailing list - see https://electorama.com/em for list info |
I knew it was too good to be true! Kristofer, I forgot that when we worked on decloning Borda that we tried this fixing Copeland. That wa a long time ago. We must be getting old! I think you have found the cure for failure of mono-raise (if not for mononucleosis itself).. To make it clone proof let's try using explicit approval cutoffs and calculate the penalities by fractional approval. We can appeal to the convention that a true clone is not split by an approval cutoff. Otherwise, Approval itself based on ranked ballots with approval cutoffs would be clone dependent. Another advantage of using fractional approval for the penalty counts is that the method then distinguishes between 49 C 26 A>>B 25 B and the same profile with A>>B replaced by A>B>>.. yielding the respective winners C and B in the two cases. Does that fix everything? On Fri, Jun 7, 2019 at 1:17 PM Kristofer Munsterhjelm <[hidden email]> wrote: On 06/06/2019 23.11, Forest Simmons wrote: ---- Election-Methods mailing list - see https://electorama.com/em for list info |
On 08/06/2019 00.04, Forest Simmons wrote:
> I knew it was too good to be true! > > Kristofer, > > I forgot that when we worked on decloning Borda that we tried this > fixing Copeland. That wa a long time ago. We must be getting old! > > I think you have found the cure for failure of mono-raise (if not for > mononucleosis itself).. Another possibility would be to let the pairwise contest (A vs B) be B's penalty after eliminating A from every ballot. Then A-top ballots no longer obscure B's penalties. However, I'm not sure if that could produce cycles that would still lead to a monotonicity failure, or if the monotonicity failure would depend on the method in question. Such an approach reminds me of UncAAO: http://lists.electorama.com/pipermail/election-methods-electorama.com/2007-February/085036.html > To make it clone proof let's try using explicit approval cutoffs and > calculate the penalities by fractional approval. > > We can appeal to the convention that a true clone is not split by an > approval cutoff. Otherwise, Approval itself based on ranked ballots > with approval cutoffs would be clone dependent. > > Another advantage of using fractional approval for the penalty counts is > that the method then distinguishes between > > 49 C > 26 A>>B > 25 B > > and the same profile with A>>B replaced by A>B>>.. > > yielding the respective winners C and B in the two cases. > > Does that fix everything? time), but I very much prefer methods that don't need Approval cutoffs. ---- Election-Methods mailing list - see https://electorama.com/em for list info |
On 8/06/2019 7:24 pm, Kristofer Munsterhjelm wrote: > ..I very much prefer methods that don't need Approval cutoffs. Kristofer, Why is that? Chris Benham --- This email has been checked for viruses by AVG. https://www.avg.com ---- Election-Methods mailing list - see https://electorama.com/em for list info |
In reply to this post by Forest Simmons
Sorry to take so long to reply. First I want to give another formulation of Imprroved copeland: It takes two passes (barring some miracle approach). The first pass is to construct the pairwise win matrix in which the element in row i and column j is a one if i beats j pairwise, negative one if j beats i, and zero otherwise. Based on this matrix construct a directed graph ffor each ballot, with an arrow from each candidate to every candidate he pairwise beats. If any arrow points from a lower ranked candidate to an higher ranked one, then delete it along with all of the other arrows pointing to the higher candidate and all of the arrows emanating from the lower one. The score of each candidate is the total (over all ballots) of the indegrees minus the outdegrees of the remaining arrows impinging on that candidate. In matrix terms, for each ballot the matrix is constructed (with reference to the pairwise win matrix) as follows. Initially If candidate i is ranked ahead of j on the ballot then put a one in the (i, j) position in the matrix, zero otherwise. Subtract the transpose of this matrix from itself to get a new matrix. Then mark all of the elements that are not identical in the two matrices, and then zero out the rows and columns of the marked elements. The resultingg matrix is the contribution of the ballot to the total matrix. The row with the largest sum (or the column with the smallest sum) represents the winner. Now if we just zeroed outt the offending elements without zeroing out their entire rows and columns the sum would be something we could do sneakily: Average the Margins matrix with n copies of the win/loss matrix where n is the total number of ballots. That is the matrix you would get iff you only removed the arrows pointing in the wrong direction without removing the other associated witth the affected indegrees and outdegrees. o that related, but inferior< method is precinct summable. Inferior because it definitely still has all of the clone problems off Borda and copeland, while ffailing Landau. The zeroing out off the rrows and columns is crucial to preserving Landau, and (I hope it tkes care of the clone dependence, too, since it makes the remaining vertices more like the first place vertices that we were trying to limit our count to in ourr first attempt). Thinking in terms of the (modified) directed graphs correspondinig to the matrices with the rows and columns zeroed out, it is easy to see how monotonicitty is preserrved, and almost as easy to see how Landau is preserved. That's all I have time for now. Best, Forest On Thu, Jun 6, 2019 at 2:11 PM Forest Simmons <[hidden email]> wrote:
---- Election-Methods mailing list - see https://electorama.com/em for list info |
In reply to this post by C.Benham
On 11/06/2019 00.23, C.Benham wrote:
> > On 8/06/2019 7:24 pm, Kristofer Munsterhjelm wrote: >> ..I very much prefer methods that don't need Approval cutoffs. > > Kristofer, > > Why is that? My objection to (relying too much on) Approval cutoffs is similar to my objection to Approval itself. It's hard to determine where to put an explicit Approval cutoff, and an implicit Approval cutoff can limit the method too much. In either case, it becomes harder for a honest voter to fill in the ballot in a way that he won't regret later on. There are multiple sincere Approval ballots, so the honest voter doesn't know, ahead of time, which he should answer without using some heuristic. In contrast, ranking is easy: the voter can just start from the best and rank in order. Determining what that order is may require some thought, but there's less of a burden finding out just how that information should be rendered to the method itself. That wouldn't be so much a problem if the method is lenient with noisy input; if the ambiguity in where to put Approval cutoffs is like the ambiguity in where to equal rank. I think that's why a criterion like Plurality seems useful: it gives something extra if voters use heuristics close to some intuitive idea of what approving a number of candidates means, but doesn't get it wrong if the heuristics are slightly off. In contrast, Approval requires that honest voters get the distinction just right: if the voters put the cutoff too low, then an unwanted compromise wins, but if the voters put it too high, then the lack of compromise makes someone from the other side win. So to sum up, I guess a reason I don't like Approval is because it burdens a honest voter too much; and the reason I don't like Approval cutoffs is that, at least if implicit, they transport that burden over to the method in question. It's possible that a method may use Approval cutoffs yet be lenient enough (i.e. more like how the Plurality criterion behaves than how Approval itself behaves). In that case, I suppose they're okay. But it's not easy to know, from the ballot format itself, which it is. (Perhaps one indication of such is whether the method works if nobody uses the approval cutoff indicator, or everybody places it at the very top or very bottom. Methods that pass Plurality still work if every voter ranks every candidate, but Approval would give a perfect tie.) ---- Election-Methods mailing list - see https://electorama.com/em for list info |
Kristopher, The methods I suggested all fulfill Forest's requirements in his
3 scenarios, and they all guarantee that
On 29/06/2019 7:38 pm, Kristofer
Munsterhjelm wrote:
On 11/06/2019 00.23, C.Benham wrote:On 8/06/2019 7:24 pm, Kristofer Munsterhjelm wrote:..I very much prefer methods that don't need Approval cutoffs.Kristofer, Why is that?My objection to (relying too much on) Approval cutoffs is similar to my objection to Approval itself. It's hard to determine where to put an explicit Approval cutoff, and an implicit Approval cutoff can limit the method too much. In either case, it becomes harder for a honest voter to fill in the ballot in a way that he won't regret later on. There are multiple sincere Approval ballots, so the honest voter doesn't know, ahead of time, which he should answer without using some heuristic. In contrast, ranking is easy: the voter can just start from the best and rank in order. Determining what that order is may require some thought, but there's less of a burden finding out just how that information should be rendered to the method itself. That wouldn't be so much a problem if the method is lenient with noisy input; if the ambiguity in where to put Approval cutoffs is like the ambiguity in where to equal rank. I think that's why a criterion like Plurality seems useful: it gives something extra if voters use heuristics close to some intuitive idea of what approving a number of candidates means, but doesn't get it wrong if the heuristics are slightly off. In contrast, Approval requires that honest voters get the distinction just right: if the voters put the cutoff too low, then an unwanted compromise wins, but if the voters put it too high, then the lack of compromise makes someone from the other side win. So to sum up, I guess a reason I don't like Approval is because it burdens a honest voter too much; and the reason I don't like Approval cutoffs is that, at least if implicit, they transport that burden over to the method in question. It's possible that a method may use Approval cutoffs yet be lenient enough (i.e. more like how the Plurality criterion behaves than how Approval itself behaves). In that case, I suppose they're okay. But it's not easy to know, from the ballot format itself, which it is. (Perhaps one indication of such is whether the method works if nobody uses the approval cutoff indicator, or everybody places it at the very top or very bottom. Methods that pass Plurality still work if every voter ranks every candidate, but Approval would give a perfect tie.) ---- Election-Methods mailing list - see https://electorama.com/em for list info |
In reply to this post by Kristofer Munsterhjelm-3
Some comments on approval cutoffs. I just recently had to think about approval cutoffs a lot when I wrote about ranking methods with additional input (under title "Modified Overall Preferences"). I'll comment from that point of view, but my comments might be useful also in a more general sense.
First of all, I like plain rankings, and I think they are in most cases very sufficient. I thus feel that often approval cutoffs are not needed, and may mean just added complexity to the method and to the voters. But I analysed the possibility of taking more input from the voters, in the form of allowing them to influence the overall strength (not direction) of different pairwise preferences. Instead of letting the voters have comments on every single pairwise preference relation (or just that linear sequence of relations that the voter wrote in the ballot paper when ranking the candidates), it seemed quite natural to reduce their influence to giving only one approval cutoff. The interpretation would be that candidates above that cutoff would be considered favourites whose defeats to each other should be considered "softer" than the other defeats. That approach seemed to be quite enough for most needs that I could identify. Now, let's see if that kind of a cutoff approach could be somehow useful. In the method (http://lists.electorama.com/pipermail/election-methods-electorama.com/2019-June/002262.html) rankings determine the (potentially cyclic) preference order of the electorate. The approval cutoff (or any other preference strength modifications) influence the end result only when there are cycles. This means that voters really need not use the cutoff feature. On most cases it doesn't have any influence on the outcome. The cutoffs may however influence the outcome in a meaningful way when there are sincere or strategically created cycles. The "favourite" cutoff can be used quite efficiently as a defensive measure (this was one of my key learnings). That is positive in the sense that in case (with big "if") there is a need to defend against strategic voting, there seems to be no need to modify the rankings. It is enough to just se the approval cutoff right. The approval cutoff may thus help in making the actual rankings more sincere. I note briefly that in burying scenarios (of three candidates) it doesn't make sense to the strategists to use the cutoff to help the candidate that they rank second, but it may make sense to others to do so. (Alternatively some voters may stop helping (approving) the strategic candidate.) It seems that this is enough to thwart any this kind of strategic attempts (three candidates, with one strategist) (with sufficiently large defence strength parameter k). It seems that the correct strategy in placing the approval / protection / favourite cutoff is quite simple. The first recommendation is to place it sincerely so that one supports one's favourite group of candidates, i.e. those that one is happy to see as winners. In the case of defending against a (three candidate) burying attack it seemed that one should extend that to cover also the (expected Condorcet) winner that is about to be buried. That is still quite natural, and corresponds to the classical Approval strategy of approving at least one candidate that is a potential winner, and with the natural idea of protecting the candidate that needs protection in this case. My point here is that it seems that setting the approval cutoff is quite natural and sincere (and that in most cases it doesn't matter much even if one would not set any cutoff at all). As a bonus one might get some defence against strategies, while keeping the rankings and more or less also approvals sincere. In summary, this approach seems to offer a quite natural way of using the cutoff option. Having the cutoff there helped in keeping the actual rankings sincere. Also the cutoffs are quite sincere (indicating "sincere clones" in most cases, and protected candidates in the rest). Having a strong defence capability against (certain types of) strategic voting keeps the votes more sincere than they might otherwise be, since also the strategists will know that they might have no chance in using such strategies successfully. And if this makes the rankings and approvals sincere, we will get also useful information on the voter preferences (not jut strategic votes that are more difficult to interpret). It is also possible to use such method so that most voters do not use the approval cutoff at all, but it would be there in case it would be needed one day (when someone tries to implement dirty strategies). I still feel that in most elections approvals (or possible richer capability of modifying the preference strengths) are not needed. But having that option may not cost too much. A simple approval cutoff might keep the complexity of the ballots still manageable to average voters. That's all the two cents I have in defence of sometimes possibly using simple approval cutoffs. Juho P.S. I don't like the plurality criterion. It actually sets an implicit approval cutoff at the end of the listed candidates. The worst part of that idea is that it encourages voters not to rank the candidates of the competing groupings. That (potentially huge amount of missing information) is not good for ranked methods. If voters learn to use that feature, methods might not elect the best winner (sincere Condorcet winner). > On 29 Jun 2019, at 13:08, Kristofer Munsterhjelm <[hidden email]> wrote: > > On 11/06/2019 00.23, C.Benham wrote: >> >> On 8/06/2019 7:24 pm, Kristofer Munsterhjelm wrote: >>> ..I very much prefer methods that don't need Approval cutoffs. >> >> Kristofer, >> >> Why is that? > > My objection to (relying too much on) Approval cutoffs is similar to my > objection to Approval itself. It's hard to determine where to put an > explicit Approval cutoff, and an implicit Approval cutoff can limit the > method too much. In either case, it becomes harder for a honest voter to > fill in the ballot in a way that he won't regret later on. > > There are multiple sincere Approval ballots, so the honest voter doesn't > know, ahead of time, which he should answer without using some > heuristic. In contrast, ranking is easy: the voter can just start from > the best and rank in order. Determining what that order is may require > some thought, but there's less of a burden finding out just how that > information should be rendered to the method itself. > > That wouldn't be so much a problem if the method is lenient with noisy > input; if the ambiguity in where to put Approval cutoffs is like the > ambiguity in where to equal rank. I think that's why a criterion like > Plurality seems useful: it gives something extra if voters use > heuristics close to some intuitive idea of what approving a number of > candidates means, but doesn't get it wrong if the heuristics are > slightly off. In contrast, Approval requires that honest voters get the > distinction just right: if the voters put the cutoff too low, then an > unwanted compromise wins, but if the voters put it too high, then the > lack of compromise makes someone from the other side win. > > So to sum up, I guess a reason I don't like Approval is because it > burdens a honest voter too much; and the reason I don't like Approval > cutoffs is that, at least if implicit, they transport that burden over > to the method in question. > > It's possible that a method may use Approval cutoffs yet be lenient > enough (i.e. more like how the Plurality criterion behaves than how > Approval itself behaves). In that case, I suppose they're okay. But it's > not easy to know, from the ballot format itself, which it is. > > (Perhaps one indication of such is whether the method works if nobody > uses the approval cutoff indicator, or everybody places it at the very > top or very bottom. Methods that pass Plurality still work if every > voter ranks every candidate, but Approval would give a perfect tie.) > ---- > Election-Methods mailing list - see https://electorama.com/em for list info ---- Election-Methods mailing list - see https://electorama.com/em for list info |
Free forum by Nabble | Edit this page |